//
//  CharacterClass.h
//  Four Ee
//
//  Created by Thomas Castiglione on 7/06/08.
//  Copyright 2008 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface CharacterClass : NSObject {
	NSString* name;
	
	int fort;
	int ref;
	int will;
	
	int hp;
	int hpGain;
	int surges;
}

+ (NSArray*)loadClasses;

- (id)initWithName:(NSString*)n fort:(int)f ref:(int)f will:(int)w hp:(int)h gain:(int)g surges:(int)s;

@property(copy) NSString* name;

@property int fort, ref, will;
@property int hp, hpGain, surges;

- (BOOL)isEqual:(id)anObject;
- (NSUInteger)hash;

@end
