//
//  CharacterClass.m
//  Four Ee
//
//  Created by Thomas Castiglione on 7/06/08.
//  Copyright 2008 __MyCompanyName__. All rights reserved.
//

#import "CharacterClass.h"


@implementation CharacterClass

// XXX hardcoded, make this load from data files
+ (NSArray*)loadClasses {
	return [NSArray arrayWithObjects:
			[[CharacterClass alloc] initWithName:@"Cleric"  fort:0 ref:0 will:2   hp:12 gain:5 surges:7],
			[[CharacterClass alloc] initWithName:@"Fighter" fort:2 ref:0 will:0   hp:15 gain:6 surges:9],
			[[CharacterClass alloc] initWithName:@"Paladin" fort:1 ref:1 will:1   hp:15 gain:6 surges:10],
			[[CharacterClass alloc] initWithName:@"Ranger"  fort:1 ref:1 will:0   hp:12 gain:5 surges:6],
			[[CharacterClass alloc] initWithName:@"Rogue"   fort:0 ref:2 will:0   hp:12 gain:5 surges:6],
			[[CharacterClass alloc] initWithName:@"Warlock" fort:0 ref:1 will:1   hp:12 gain:5 surges:6],
			[[CharacterClass alloc] initWithName:@"Warlord" fort:1 ref:0 will:1   hp:12 gain:5 surges:7],
			[[CharacterClass alloc] initWithName:@"Wizard"  fort:0 ref:0 will:2   hp:10 gain:4 surges:6],
			nil];
}

//
// constructors
//

- (id)initWithName:(NSString*)n fort:(int)f ref:(int)r will:(int)w hp:(int)h gain:(int)g surges:(int)s{
	self = [super init];
	
	if (self) {
		[self setName:n];
		
		[self setFort:f];
		[self setRef:r];
		[self setWill:w];
		
		[self setHp:h];
		[self setHpGain:g];
		[self setSurges:s];
	}
	
	return self;
}

@synthesize name;

@synthesize fort, ref, will;
@synthesize hp, hpGain, surges;

- (BOOL)isEqual:(id)anObject {
	if ([anObject isKindOfClass:NSClassFromString(@"NSString")]) {
		return ([name caseInsensitiveCompare:anObject] == NSOrderedSame);
	}
	
	return [super isEqual:anObject];
}

- (NSUInteger)hash {
	return [name hash];
}


@end
