//
//  CharacterRace.h
//  Four Ee
//
//  Created by Thomas Castiglione on 7/06/08.
//  Copyright 2008 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface CharacterRace : NSObject {
	NSString* name;
	
	int strength;
	int constitution;
	int dexterity;
	int intelligence;
	int wisdom;
	int charisma;
	
	int speed;
	
	NSArray* skillBonuses;
}

+ (NSArray*)loadRaces;

@property(copy) NSString* name;
@property(copy) NSArray* skillBonuses;

@property int strength;
@property int constitution;
@property int dexterity;
@property int intelligence;
@property int wisdom;
@property int charisma;

@property int speed;

- (id) initWithName:(NSString*)n str:(int)s con:(int)c dex:(int)d intel:(int)i wis:(int)w cha:(int)ch speed:(int)spd;

- (BOOL)isEqual:(id)anObject;
- (NSUInteger)hash;

@end
