//
//  ModValueTransformer.m
//  Four Ee
//
//  Created by Thomas Castiglione on 7/06/08.
//  Copyright 2008 __MyCompanyName__. All rights reserved.
//

#import "ModValueTransformer.h"


@implementation ModValueTransformer

+ (Class)transformedValueClass { return [NSString class]; }

+ (BOOL)allowsReverseTransformation { return NO; }

- (id)transformedValue:(id)value {
	if (value == nil) {
		return nil;
	}
	
	int mod = [value intValue];
	
	if (mod > 0) 
		return [@"+" stringByAppendingString: [value stringValue]];
	
	if (mod == 0)
		return @"";
	
	return [value stringValue];
}

@end
